package com.ruoyi.cai.job;

import com.ruoyi.cai.manager.UserForbidManager;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

@Component
@Slf4j
public class ForbidJob {

    @Autowired
    private UserForbidManager userForbidManager;

    /**
     * 每12小时执行一次
     */
    @Scheduled(cron = "0 0 11,23 * * ? ")
    public void checkForbid(){
        try {
            userForbidManager.checkAll();
        }catch (Exception e){
            log.error("黑名单失效检测失败！",e);
        }
    }

}
